package com.duowan.texiu.data.migration.model;

import java.util.List;

/**
 * @author Zhang Miaojie
 * @version v1.0
 * @date 2019/11/21
 */
public class EditJsonInfo {

    /**
     * bg : {"e":0,"h":0,"o":0,"r":0,"tt":0,"type":0,"v":"color.mp4","w":0,"x":0,"y":0,"z":4}
     * bgm : bgm.aac
     * endFrame : 642.99
     * frameRate : 25
     * height : 1920
     * items : [{"comps":[{"images":[{"e":0,"h":1920,"o":0,"r":0,"tt":0,"type":2,"v":"edit_video_4_44_comp_0_cover.png","w":1080,"x":0,"y":0,"z":0}],"e":1,"h":957,"id":"edit_video_4_44_comp_0","o":0,"r":-21,"tt":0,"type":11,"w":538,"x":560,"y":960,"z":0}],"endFrame":642,"frames":[],"getFrame":42,"startFrame":556,"e":0,"h":1920,"id":"edit_video_4_44_comp_0","nm":"edit_video_4","o":0,"r":0,"tt":0,"type":11,"w":1080,"x":0,"y":0,"z":3},{"comps":[{"images":[{"e":0,"h":1920,"o":0,"r":0,"tt":0,"type":2,"v":"edit_video_3_51_comp_5_cover.png","w":1080,"x":0,"y":0,"z":0}],"e":1,"h":957,"id":"edit_video_3_51_comp_5","o":0,"r":-20,"tt":0,"type":11,"w":538,"x":540,"y":960,"z":0}],"endFrame":503,"frames":[],"getFrame":62,"startFrame":378,"e":0,"h":1920,"id":"edit_video_3_51_comp_5","nm":"edit_video_3","o":0,"r":0,"tt":0,"type":11,"w":1080,"x":0,"y":0,"z":2},{"comps":[{"images":[{"e":0,"h":1920,"o":0,"r":0,"tt":0,"type":2,"v":"edit_video_2_58_comp_11_cover.png","w":1080,"x":0,"y":0,"z":0}],"e":1,"h":957,"id":"edit_video_2_58_comp_11","o":0,"r":-22,"tt":0,"type":11,"w":538,"x":554,"y":960,"z":0}],"endFrame":341,"frames":[],"getFrame":57,"startFrame":225,"e":0,"h":1920,"id":"edit_video_2_58_comp_11","nm":"edit_video_2","o":0,"r":0,"tt":0,"type":11,"w":1080,"x":0,"y":0,"z":1},{"comps":[{"images":[{"e":0,"h":1920,"o":0,"r":0,"tt":0,"type":2,"v":"edit_video_1_65_comp_17_cover.png","w":1080,"x":0,"y":0,"z":0}],"e":1,"h":957,"id":"edit_video_1_65_comp_17","o":0,"r":-21,"tt":0,"type":11,"w":538,"x":556,"y":960,"z":0}],"endFrame":186,"frames":[],"getFrame":52,"startFrame":80,"e":0,"h":1920,"id":"edit_video_1_65_comp_17","nm":"edit_video_1","o":0,"r":0,"tt":0,"type":11,"w":1080,"x":0,"y":0,"z":0}]
     * layer : 6
     * mask : {"e":0,"h":0,"o":0,"r":0,"tt":0,"type":0,"v":"mask.mp4","w":0,"x":0,"y":0,"z":4}
     * startFrame : 0
     * version : 1
     * width : 1080
     */

    private BgBean bg;
    private String bgm;
    private double endFrame;
    private int frameRate;
    private int height;
    private int layer;
    private MaskBean mask;
    private int startFrame;
    private int version;
    private int width;
    private List<ItemsBean> items;

    public BgBean getBg() {
        return bg;
    }

    public void setBg(BgBean bg) {
        this.bg = bg;
    }

    public String getBgm() {
        return bgm;
    }

    public void setBgm(String bgm) {
        this.bgm = bgm;
    }

    public double getEndFrame() {
        return endFrame;
    }

    public void setEndFrame(double endFrame) {
        this.endFrame = endFrame;
    }

    public int getFrameRate() {
        return frameRate;
    }

    public void setFrameRate(int frameRate) {
        this.frameRate = frameRate;
    }

    public int getHeight() {
        return height;
    }

    public void setHeight(int height) {
        this.height = height;
    }

    public int getLayer() {
        return layer;
    }

    public void setLayer(int layer) {
        this.layer = layer;
    }

    public MaskBean getMask() {
        return mask;
    }

    public void setMask(MaskBean mask) {
        this.mask = mask;
    }

    public int getStartFrame() {
        return startFrame;
    }

    public void setStartFrame(int startFrame) {
        this.startFrame = startFrame;
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public int getWidth() {
        return width;
    }

    public void setWidth(int width) {
        this.width = width;
    }

    public List<ItemsBean> getItems() {
        return items;
    }

    public void setItems(List<ItemsBean> items) {
        this.items = items;
    }

    public static class BgBean {
        /**
         * e : 0
         * h : 0
         * o : 0
         * r : 0
         * tt : 0
         * type : 0
         * v : color.mp4
         * w : 0
         * x : 0
         * y : 0
         * z : 4
         */

        private int e;
        private int h;
        private int o;
        private int r;
        private int tt;
        private int type;
        private String v;
        private int w;
        private int x;
        private int y;
        private int z;

        public int getE() {
            return e;
        }

        public void setE(int e) {
            this.e = e;
        }

        public int getH() {
            return h;
        }

        public void setH(int h) {
            this.h = h;
        }

        public int getO() {
            return o;
        }

        public void setO(int o) {
            this.o = o;
        }

        public int getR() {
            return r;
        }

        public void setR(int r) {
            this.r = r;
        }

        public int getTt() {
            return tt;
        }

        public void setTt(int tt) {
            this.tt = tt;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public String getV() {
            return v;
        }

        public void setV(String v) {
            this.v = v;
        }

        public int getW() {
            return w;
        }

        public void setW(int w) {
            this.w = w;
        }

        public int getX() {
            return x;
        }

        public void setX(int x) {
            this.x = x;
        }

        public int getY() {
            return y;
        }

        public void setY(int y) {
            this.y = y;
        }

        public int getZ() {
            return z;
        }

        public void setZ(int z) {
            this.z = z;
        }
    }

    public static class MaskBean {
        /**
         * e : 0
         * h : 0
         * o : 0
         * r : 0
         * tt : 0
         * type : 0
         * v : mask.mp4
         * w : 0
         * x : 0
         * y : 0
         * z : 4
         */

        private int e;
        private int h;
        private int o;
        private int r;
        private int tt;
        private int type;
        private String v;
        private int w;
        private int x;
        private int y;
        private int z;

        public int getE() {
            return e;
        }

        public void setE(int e) {
            this.e = e;
        }

        public int getH() {
            return h;
        }

        public void setH(int h) {
            this.h = h;
        }

        public int getO() {
            return o;
        }

        public void setO(int o) {
            this.o = o;
        }

        public int getR() {
            return r;
        }

        public void setR(int r) {
            this.r = r;
        }

        public int getTt() {
            return tt;
        }

        public void setTt(int tt) {
            this.tt = tt;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public String getV() {
            return v;
        }

        public void setV(String v) {
            this.v = v;
        }

        public int getW() {
            return w;
        }

        public void setW(int w) {
            this.w = w;
        }

        public int getX() {
            return x;
        }

        public void setX(int x) {
            this.x = x;
        }

        public int getY() {
            return y;
        }

        public void setY(int y) {
            this.y = y;
        }

        public int getZ() {
            return z;
        }

        public void setZ(int z) {
            this.z = z;
        }
    }

    public static class ItemsBean {
        /**
         * comps : [{"images":[{"e":0,"h":1920,"o":0,"r":0,"tt":0,"type":2,"v":"edit_video_4_44_comp_0_cover.png","w":1080,"x":0,"y":0,"z":0}],"e":1,"h":957,"id":"edit_video_4_44_comp_0","o":0,"r":-21,"tt":0,"type":11,"w":538,"x":560,"y":960,"z":0}]
         * endFrame : 642
         * frames : []
         * getFrame : 42
         * startFrame : 556
         * e : 0
         * h : 1920
         * id : edit_video_4_44_comp_0
         * nm : edit_video_4
         * o : 0
         * r : 0
         * tt : 0
         * type : 11
         * w : 1080
         * x : 0
         * y : 0
         * z : 3
         */

        private int endFrame;
        private int getFrame;
        private int startFrame;
        private int e;
        private int h;
        private String id;
        private String nm;
        private int o;
        private int r;
        private int tt;
        private int type;
        private int w;
        private int x;
        private int y;
        private int z;
        private List<CompsBean> comps;
        private List<?> frames;

        public int getEndFrame() {
            return endFrame;
        }

        public void setEndFrame(int endFrame) {
            this.endFrame = endFrame;
        }

        public int getGetFrame() {
            return getFrame;
        }

        public void setGetFrame(int getFrame) {
            this.getFrame = getFrame;
        }

        public int getStartFrame() {
            return startFrame;
        }

        public void setStartFrame(int startFrame) {
            this.startFrame = startFrame;
        }

        public int getE() {
            return e;
        }

        public void setE(int e) {
            this.e = e;
        }

        public int getH() {
            return h;
        }

        public void setH(int h) {
            this.h = h;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getNm() {
            return nm;
        }

        public void setNm(String nm) {
            this.nm = nm;
        }

        public int getO() {
            return o;
        }

        public void setO(int o) {
            this.o = o;
        }

        public int getR() {
            return r;
        }

        public void setR(int r) {
            this.r = r;
        }

        public int getTt() {
            return tt;
        }

        public void setTt(int tt) {
            this.tt = tt;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public int getW() {
            return w;
        }

        public void setW(int w) {
            this.w = w;
        }

        public int getX() {
            return x;
        }

        public void setX(int x) {
            this.x = x;
        }

        public int getY() {
            return y;
        }

        public void setY(int y) {
            this.y = y;
        }

        public int getZ() {
            return z;
        }

        public void setZ(int z) {
            this.z = z;
        }

        public List<CompsBean> getComps() {
            return comps;
        }

        public void setComps(List<CompsBean> comps) {
            this.comps = comps;
        }

        public List<?> getFrames() {
            return frames;
        }

        public void setFrames(List<?> frames) {
            this.frames = frames;
        }

        public static class CompsBean {
            /**
             * images : [{"e":0,"h":1920,"o":0,"r":0,"tt":0,"type":2,"v":"edit_video_4_44_comp_0_cover.png","w":1080,"x":0,"y":0,"z":0}]
             * e : 1
             * h : 957
             * id : edit_video_4_44_comp_0
             * o : 0
             * r : -21
             * tt : 0
             * type : 11
             * w : 538
             * x : 560
             * y : 960
             * z : 0
             */

            private int e;
            private int h;
            private String id;
            private int o;
            private int r;
            private int tt;
            private int type;
            private int w;
            private int x;
            private int y;
            private int z;
            private List<ImagesBean> images;

            public int getE() {
                return e;
            }

            public void setE(int e) {
                this.e = e;
            }

            public int getH() {
                return h;
            }

            public void setH(int h) {
                this.h = h;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public int getO() {
                return o;
            }

            public void setO(int o) {
                this.o = o;
            }

            public int getR() {
                return r;
            }

            public void setR(int r) {
                this.r = r;
            }

            public int getTt() {
                return tt;
            }

            public void setTt(int tt) {
                this.tt = tt;
            }

            public int getType() {
                return type;
            }

            public void setType(int type) {
                this.type = type;
            }

            public int getW() {
                return w;
            }

            public void setW(int w) {
                this.w = w;
            }

            public int getX() {
                return x;
            }

            public void setX(int x) {
                this.x = x;
            }

            public int getY() {
                return y;
            }

            public void setY(int y) {
                this.y = y;
            }

            public int getZ() {
                return z;
            }

            public void setZ(int z) {
                this.z = z;
            }

            public List<ImagesBean> getImages() {
                return images;
            }

            public void setImages(List<ImagesBean> images) {
                this.images = images;
            }

            public static class ImagesBean {
                /**
                 * e : 0
                 * h : 1920
                 * o : 0
                 * r : 0
                 * tt : 0
                 * type : 2
                 * v : edit_video_4_44_comp_0_cover.png
                 * w : 1080
                 * x : 0
                 * y : 0
                 * z : 0
                 */

                private int e;
                private int h;
                private int o;
                private int r;
                private int tt;
                private int type;
                private String v;
                private int w;
                private int x;
                private int y;
                private int z;

                public int getE() {
                    return e;
                }

                public void setE(int e) {
                    this.e = e;
                }

                public int getH() {
                    return h;
                }

                public void setH(int h) {
                    this.h = h;
                }

                public int getO() {
                    return o;
                }

                public void setO(int o) {
                    this.o = o;
                }

                public int getR() {
                    return r;
                }

                public void setR(int r) {
                    this.r = r;
                }

                public int getTt() {
                    return tt;
                }

                public void setTt(int tt) {
                    this.tt = tt;
                }

                public int getType() {
                    return type;
                }

                public void setType(int type) {
                    this.type = type;
                }

                public String getV() {
                    return v;
                }

                public void setV(String v) {
                    this.v = v;
                }

                public int getW() {
                    return w;
                }

                public void setW(int w) {
                    this.w = w;
                }

                public int getX() {
                    return x;
                }

                public void setX(int x) {
                    this.x = x;
                }

                public int getY() {
                    return y;
                }

                public void setY(int y) {
                    this.y = y;
                }

                public int getZ() {
                    return z;
                }

                public void setZ(int z) {
                    this.z = z;
                }
            }
        }
    }
}
