package com.duowan.texiu.data.migration.tools;

/**
 * @author Zhang Miaojie
 * @version v1.0
 * @date 2019/11/25
 */
public class Constants {


//    private static String prefix = "texuan";
//    private static String prefix = "hiyd_home";
//    private static String prefix = "hiyd_cms";
    private static String env = "test";

    public static String DB_CONFIG;
    public static String SQL_FILE_EXPORT_PATH;
    public static String DB_USER_NAME;
    public static String DB_USER_PASSWORD;
    public static String DB_CONNECTION_URL;
    public static String BASE_FILE_PATH;

    public static void init(String prefix){
        DB_CONFIG = PropertiesUtil.getProperty(prefix + ".db.config");
        SQL_FILE_EXPORT_PATH = PropertiesUtil.getProperty(prefix + ".sql.file.export.path");
        BASE_FILE_PATH = PropertiesUtil.getProperty(prefix + ".base.file.path");
        DB_USER_NAME = PropertiesUtil.getProperty(prefix + "." + env + ".db.user.name");
        DB_USER_PASSWORD = PropertiesUtil.getProperty(prefix + "." + env + ".db.user.password");
        DB_CONNECTION_URL = PropertiesUtil.getProperty(prefix + "." + env + ".db.connection.url");
    }

    public static void main(String[] args) {
        System.out.println(DB_USER_PASSWORD);
        System.out.println(DB_USER_NAME);
        System.out.println(DB_CONNECTION_URL);
        System.out.println(DB_CONFIG);
    }
}
