package com.duowan.texiu.data.migration.tools;

import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.Properties;

/**
 * @author Zhang Miaojie
 * @version v1.0
 * @date 2019/11/25
 */
public class PropertiesUtil {

    private static Properties properties = null;

    static {
        properties = new Properties();
        InputStream inputStream = Object.class.getResourceAsStream("/code.properties");
        InputStreamReader inputStreamReader = null;
        try {
            inputStreamReader = new InputStreamReader(inputStream, "GBK");
            properties.load(inputStreamReader);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public static String getProperty(String key) {
        return properties.getProperty(key);
    }
}
