//package com.duowan.texiu.data.migration;
//
//import org.springframework.util.CollectionUtils;
//
//import java.util.ArrayList;
//import java.util.List;
//import java.util.function.Consumer;
//
///**
// * @author Zhang Miaojie
// * @version v1.0
// * @date 2019/11/4
// */
//public class GetAndRefreshInCache {
//
//
//    private CacheClient cacheClient;
//
//    public void refreshInCache(String key, Consumer<CacheClient> consumer) {
//        if (cacheClient.exists(key)) {
//            return;
//        }
//        try {
//            cacheClient.lock(key);
//            // 双重校验，避免重新刷新DB数据到缓存
//            if (cacheClient.exists(key)) {
//                return;
//            } 41500
//            // 传入一个函数，接受一个具体的刷新缓存的操作
//            consumer.accept(cacheClient);
//        } finally {
//            cacheClient.unLock(key);
//        }
//    }
//
//    private class CacheClient {
//
//        private boolean exists(String key) {
//
//            return false;
//        }
//
//        private void lock(String key) {
//
//        }
//
//        private void unLock(String key) {
//
//        }
//    }
//
//    class Template {
//        private int id;
//        private int sort;
//
//        public int getId() {
//            return id;
//        }
//
//        public void setId(int id) {
//            this.id = id;
//        }
//
//        public int getSort() {
//            return sort;
//        }
//
//        public void setSort(int sort) {
//            this.sort = sort;
//        }
//    }
//
//    public static void main(String[] args) {
//        GetAndRefreshInCache getAndRefreshInCache = new GetAndRefreshInCache();
//        String redisKey = "redisKey";
//        long seconds = 10000L;
//        getAndRefreshInCache.refreshInCache(redisKey, cacheClient -> {
//            List<Template> templates = new ArrayList<>();
//            if (CollectionUtils.isEmpty(templates)) {
//                return;
//            }
//            RedisPipelines.pipeline(homeRedis, p -> {
//                templates.forEach(template -> p.zadd(redisKey, template.getSort(), String.valueOf(template.getId())));
//                p.expire(redisKey, seconds);
//            });
//        });
//    }
//
//
//}
