package com.duowan.texiu.data.migration.lock;

import redis.clients.jedis.Jedis;

import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.Lock;

/**
 * @author Zhang Miaojie
 * @version v1.0
 * @date 2019/11/4
 */
public abstract class RedisLock implements Lock {

	protected Jedis jedis;
	protected String lockKey;

	public RedisLock(Jedis jedis, String lockKey) {
		this.jedis = jedis;
		this.lockKey = lockKey;
	}

	public void sleepBySencond(int sencond) {
		try {
			Thread.sleep(sencond * 1000);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
	}

	@Override
	public void lockInterruptibly() {
	}

	@Override
	public Condition newCondition() {
		return null;
	}

	@Override
	public boolean tryLock() {
		return false;
	}

	@Override
	public boolean tryLock(long time, TimeUnit unit) {
		return false;
	}

}
